/*
 * Copyright (c) 2016. José Alberto Martín. jalbertomartinfalcon@gmail.com
 * Este proyecto ha sido realizado con la ayuda de la documentación y código de los proyectos de la
 * Dirección General de la Policía de España. Para más info: https://www.dnielectronico.es/PortalDNIe/
 * Autorizo la difusión del código fuente con fines educativos siempre que se haga referencia al
 * autor bajo los términos generales de la licencia “Academic Free License v.3.0”.
 */

package jamarfal.jalbertomartinfalcon.dnie_express.logic;

import android.graphics.Bitmap;

import jamarfal.jalbertomartinfalcon.dnie_express.jj2000.J2kStreamDecoder;

import java.io.ByteArrayInputStream;

/**
 * Created by jamarfal on 29/11/16.
 */

public class ImageConverter {

    public Bitmap converFromBytes(byte[] image) throws Exception {
        J2kStreamDecoder j2kStreamDecoder = new J2kStreamDecoder();
        ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(image);
        return j2kStreamDecoder.decode(byteArrayInputStream);
    }
}
