/*
 * Copyright (c) 2016. José Alberto Martín. jalbertomartinfalcon@gmail.com
 * Este proyecto ha sido realizado con la ayuda de la documentación y código de los proyectos de la
 * Dirección General de la Policía de España. Para más info: https://www.dnielectronico.es/PortalDNIe/
 * Autorizo la difusión del código fuente con fines educativos siempre que se haga referencia al
 * autor bajo los términos generales de la licencia “Academic Free License v.3.0”.
 */

package jamarfal.jalbertomartinfalcon.dnie_express.logic;

import java.util.Vector;

/**
 * Created by jamarfal on 15/11/16.
 */

public interface Storage {

    public void add(Mrtd mrtd);

    public void remove(String can);

    public void remove(Mrtd mrtd);

    public void update(String can);

    public void update(Mrtd mrtd);

    public Mrtd search(String can);

    public Vector<Mrtd> getAll();

    public int size();
}
