/*
 * Copyright (c) 2016. José Alberto Martín. jalbertomartinfalcon@gmail.com
 * Este proyecto ha sido realizado con la ayuda de la documentación y código de los proyectos de la
 * Dirección General de la Policía de España. Para más info: https://www.dnielectronico.es/PortalDNIe/
 * Autorizo la difusión del código fuente con fines educativos siempre que se haga referencia al
 * autor bajo los términos generales de la licencia “Academic Free License v.3.0”.
 */

package jamarfal.jalbertomartinfalcon.dnie_express.logic;

/**
 * Created by jamarfal on 16/11/16.
 */

public abstract class Mrtd {

    protected String can;
    protected String name;
    protected String nif;

    public Mrtd(String can, String name, String nif) {
        this.can = can;
        this.name = name;
        this.nif = nif;
    }

    protected Mrtd() {
    }


    public String getCan() {
        return can;
    }

    public void setCan(String can) {
        this.can = can;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNif() {
        return nif;
    }

    public void setNif(String nif) {
        this.nif = nif;
    }
}
